import { config } from './config.js';

import path from 'path';
import fsp from 'node:fs/promises';

export function getPathFor(name: string, clientName: string): string {
    return path.join(config.storePath, clientName + '-' + name);
}

export async function save(
    data: string | Buffer | NodeJS.ArrayBufferView,
    name: string,
    clientName: string,
): Promise<undefined> {
    await fsp.writeFile(getPathFor(name, clientName), data);
}
